--- title: "Get re-stream platform list" slug: "media-livestation-re-stream-platformlist" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-re-stream-platformlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get re-stream platform list Available in Classic and VPC Get the list of platforms set for a re-stream channel. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/re-stream/channels/{channelId}/platforms | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-re-stream-channellist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://livestation.apigw.ntruss.com/api/v2/re-stream/channels/ls-20250819******-Ik1QU/platforms' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Array | - | [Re-stream platform list](/docs/en/media-livestation-re-stream-platformlist#content) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `targetName` | String | - | Re-stream platform name | | `rtmpUrl` | String | - | Re-stream platform RTMP URL | | `id` | String | - | RTMP authentication ID - Displayed when setting up authentication information | | `password` | String | - | RTMP authentication password - Displayed when setting up authentication information - Mask strings except for the first character. | | `streamKey` | String | - | Stream key | | `connectStatus` | String | - | Re-stream status - `CONNECTING` \| `PUBLISHING` \| `READY` \| `FAIL` - `CONNECTING`: Attempting to connect - `PUBLISHING`: Re-stream in progress - `READY`: Pending connection - `FAIL`: Re-stream failed | | `platId` | Integer | - | Re-stream platform ID | | `bytesPerSecond` | Integer | - | Transmission per second (byte) | | `totalRetryCount` | Integer | - | Accumulated reconnection attempt count | | `bytesTotalTrans` | Integer | - | Accumulated transmission (byte) | | `totalPlaySecond` | Integer | - | Accumulated transmission time (second) | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": [ { "targetName": "YOUTUBE", "rtmpUrl": "rtmp://rtmp-test.youtube.com", "id": "user000", "password": "d*****", "streamKey": "****-****-****-****-****", "connectStatus": "PUBLISHING", "platId": 3699, "bytesPerSecond": 1100832, "totalRetryCount": 0, "bytesTotalTrans": 85222049, "totalPlaySecond": 0 }, { "targetName": "PRISM", "rtmpUrl": "rtmp://abc.prism.com", "id": "user001", "password": "d*****", "streamKey": "****-****-****-****-****", "connectStatus": "PUBLISHING", "platId": 3700, "bytesPerSecond": 1100832, "totalRetryCount": 0, "bytesTotalTrans": 85222049, "totalPlaySecond": 0 } ] } ```